From c7753ddc85c9962c64e36d35490c0cb6081ac55c Mon Sep 17 00:00:00 2001
From: Dylan Yudaken <dyudaken@gmail.com>
Date: Tue, 28 Apr 2009 13:15:38 +0200
Subject: [PATCH] fix qt crop synchronisation

---
 modules/gui/qt4/components/extended_panels.cpp |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/modules/gui/qt4/components/extended_panels.cpp b/modules/gui/qt4/components/extended_panels.cpp
index 1482ca0..ce47e67 100644
--- a/modules/gui/qt4/components/extended_panels.cpp
+++ b/modules/gui/qt4/components/extended_panels.cpp
@@ -212,6 +212,8 @@ ExtVideo::ExtVideo( intf_thread_t *_p_intf, QTabWidget *_parent ) :
     CONNECT( ui.cropBotPx, valueChanged( int ), this, cropChange() );
     CONNECT( ui.cropLeftPx, valueChanged( int ), this, cropChange() );
     CONNECT( ui.cropRightPx, valueChanged( int ), this, cropChange() );
+    CONNECT( ui.leftRightCropSync, toggled ( bool ), this, cropChange() );
+    CONNECT( ui.topBotCropSync, toggled ( bool ), this, cropChange() );
     CONNECT( ui.topBotCropSync, toggled( bool ),
              ui.cropBotPx, setDisabled( bool ) );
     CONNECT( ui.leftRightCropSync, toggled( bool ),
@@ -224,6 +226,11 @@ ExtVideo::~ExtVideo()
 
 void ExtVideo::cropChange()
 {
+    if( ui.topBotCropSync->isChecked() )
+        ui.cropBotPx->setValue( ui.cropTopPx->value() );
+    if( ui.leftRightCropSync->isChecked() )
+        ui.cropRightPx->setValue( ui.cropLeftPx->value() );
+
     p_vout = THEMIM->getVout();
     if( p_vout )
     {
-- 
1.6.0.4

